%define	name	qmail-qsanity
%define	version	0.52
%define	release	4rph

Summary:	Checks your queue data structures for internal consistency.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://www.qmail.org
Source:		%{name}-%{version}.tar.bz2
Requires:	perl qmail >= 1.03-4mdk
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
qmail-qsanity checks your queue data structures for internal 
consistency. If it finds any problems, it prints a warning to 
stderr. Plans are to change it to generate shell commands 
which will correct the problems. 

%prep
%setup -q -c -n %{name}-%{version}

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%install
install -d %{buildroot}%{_bindir}
install -m 755 %{name}-%{version} %{buildroot}%{_bindir}/%{name}.pl

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Mon Mar 10 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.52-4rph
- build for 9.1

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.52-3rph
- build for 9.0
- some spec cleanups

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.52-2rph
- rebuild for rpmhelp.net

* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.52-1mdk
- initial cooker contrib
